## pexpect 4.9

=== doc/requirements.txt ===
ptyprocess
sphinx
sphinxcontrib_github_alt

## pexpect 2.3.0-1

=== debian/changelog ===
pexpect (2.3.0-1) stable; urgency=low

  * no changelog

 -- Noah Spurrier <noah@noah.org>  Wed, 06 Jan 2010 22:11:04 +0000

=== debian/control ===
Source: pexpect
Section: other
Priority: extra
Maintainer: Noah Spurrier <noah@noah.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: pexpect
Architecture: all
Depends: python2.5
Description: Widget, that executes USSD query and displays response text
 The main purpose is viewing your balance. In Russia all operators provide balace information via USSD queries andmost part of contracts are prepaid. Ability to see your balance on decktop can be useful in such case.
 Anyway, you can configure widget to any other USSD query.de.
 Settings are located in /etc/ussdWidget.conf No GUI configuration available yet.
XSBC-Bugtracker: XSBC-Bugtracker: http://www.noah.org/wiki/Pexpect

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/pexpect" install
	mkdir -p "$(CURDIR)/debian/pexpect"

#	mkdir -p "$(CURDIR)/debian/pexpect/usr/lib/python2.5/"
	cp -a "src/usr/lib/python2.5/ANSI.py" "$(CURDIR)/debian/pexpect/usr/lib/python2.5/ANSI.py"
	mkdir -p "$(CURDIR)/debian/pexpect/usr/lib/python2.5/"
	cp -a "src/usr/lib/python2.5/FSM.py" "$(CURDIR)/debian/pexpect/usr/lib/python2.5/FSM.py"
	mkdir -p "$(CURDIR)/debian/pexpect/usr/lib/python2.5/"
	cp -a "src/usr/lib/python2.5/pexpect.py" "$(CURDIR)/debian/pexpect/usr/lib/python2.5/pexpect.py"
	mkdir -p "$(CURDIR)/debian/pexpect/usr/lib/python2.5/"
	cp -a "src/usr/lib/python2.5/pxssh.py" "$(CURDIR)/debian/pexpect/usr/lib/python2.5/pxssh.py"
	mkdir -p "$(CURDIR)/debian/pexpect/usr/lib/python2.5/"
	cp -a "src/usr/lib/python2.5/screen.py" "$(CURDIR)/debian/pexpect/usr/lib/python2.5/screen.py"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pexpect 2.4

=== debian/changelog ===
pexpect (2.4-1) unstable; urgency=low

  * Team upload.

  [ Arthur de Jong ]
  * New upstream release (Closes: #609195).
  * Switch to 3.0 (quilt) source format.
  * Switch to dh-style debian/rules.
  * Moved packaging from python-central to dh_python2 (Closes: #616935,
    LP: #788514).
  * Drop Conflicts/Replaces on ancient versions which shipped in sarge.
  * Bump standards-version to 3.9.3.
  * Register documentation with doc-base.
  * Update debian/copyright (license is actually MIT instead of Python 2.3).
  * Fix syntax errors in one of the examples (closes: #580271)

  [ Piotr Ożarowski ]
  * Added Vcs-Svn and Vcs-Browser fields

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Carlos Galisteo ]
  * debian/control
    - Added Homepage field.

 -- Arthur de Jong <adejong@debian.org>  Fri, 09 Mar 2012 11:43:41 +0100

pexpect (2.3-1) unstable; urgency=low

  * New upstream release.
  * Fix lintian warnings:
        - Move debhelper to Build-Depends from Build-Depends-Indep.
        - Remove DH_COMPAT in debian/rules.
  	- Added debian/pycompat.
  	- Added #! line for examples/ssh_session.py.
  * Updated standards version.

 -- Ganesan Rajagopal <rganesan@debian.org>  Sun, 27 Jul 2008 18:21:35 +0530

pexpect (2.1-1.1) unstable; urgency=low

  * NMU. Rebuild to move files to /usr/share/pyshared. Closes: #490482.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 15:51:04 +0000

pexpect (2.1-1) unstable; urgency=low

  * New upstream version.
  * Included pxssh.py and fdpxpect.py (Closes: #356128).
  * Included docs and examples (Closes:  #230850).
  * Updated for new python policy using python-central (Closes: #373476).
  * Added watch file.

 -- Ganesan Rajagopal <rganesan@debian.org>  Tue, 20 Jun 2006 09:54:09 +0530

pexpect (2.0-2) unstable; urgency=low

  * Included pexpect package into Python Modules repository.
  * Add python-modules-team@lists.alioth.debian.org to Uploaders.
  * Remove python2.2-pexpect package.

 -- Ganesan Rajagopal <rganesan@debian.org>  Sat, 15 Apr 2006 20:41:47 +0530

pexpect (2.0-1) unstable; urgency=low

  * New upstream release.
  * Fixed *.docs to take README instead of README.txt.
  * Updated standards version.

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 28 Dec 2005 13:32:00 +0530

pexpect (0.999-5) unstable; urgency=low

  * Aargh. Install python2.4 binaries in the right place.
  * Added python2.4 to Build-depends.

 -- Ganesan Rajagopal <rganesan@debian.org>  Sat, 19 Feb 2005 08:17:09 +0530

pexpect (0.999-4) unstable; urgency=low

  * Really build pexpect for python 2.4.

 -- Ganesan Rajagopal <rganesan@debian.org>  Sat, 09 Jan 2005 22:15:36 +0530

pexpect (0.999-3) unstable; urgency=low

  * Build python 2.4 package.
  * python-pexpect now depends on ${python:Depends}.

 -- Ganesan Rajagopal <rganesan@debian.org>  Sat, 09 Jan 2005 22:10:36 +0530

pexpect (0.999-2) unstable; urgency=low

  * Build-depend on python (Closes: #258299).

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 09 Jul 2004 09:45:36 +0530

pexpect (0.999-1) unstable; urgency=low

  * New upstream release (Closes: #257736).

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 07 Jul 2004 11:48:36 +0530

pexpect (0.99-1) unstable; urgency=low

  * New upstream release

 -- Ganesan Rajagopal <rganesan@debian.org>  Tue, 14 Oct 2003 17:36:36 +0530

pexpect (0.98-2) unstable; urgency=low

  * Don't ship python bytecode files (closes: #207313).

 -- Ganesan Rajagopal <rganesan@debian.org>  Mon,  8 Sep 2003 12:57:01 +0530

pexpect (0.98-1) unstable; urgency=low

  * Initial packaging (Closes: #156784).

 -- Ganesan Rajagopal <rganesan@debian.org>  Wed, 13 Aug 2003 18:25:51 +0530

=== debian/control ===
Source: pexpect
Section: python
Priority: optional
Build-Depends: python-all (>= 2.6.6-3~), debhelper (>= 7.0.50~)
Maintainer: Ganesan Rajagopal <rganesan@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pexpect/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pexpect/trunk/
Homepage: http://www.noah.org/wiki/Pexpect

Package: python-pexpect
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python module for automating interactive applications
 Pexpect is a pure Python module for spawning child applications;
 controlling them; and responding to expected patterns in their
 output. Pexpect works like Don Libes' Expect. Pexpect allows your
 script to spawn a child application and control it as if a human were
 typing commands.

=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/pexpect pexpect-(.*)\.tar\.gz

## pexpect 3.1

=== debian/changelog ===
pexpect (3.1-1ubuntu0.1) trusty; urgency=medium

  * d/patches/pr38.patch: Backport from upstream 3.2 the patch to fix
    an AttributeError on select.error handling.  (LP: #1317660)

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 08 May 2014 17:07:35 -0400

pexpect (3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/control: 
    - In -doc, add breaks/replaces on python-pexcept <<3. Closes: #732915
    - Drop python-pexcept-doc to Suggests in both other packages. 
      Closes: #732889
    - Bump standards-version to 3.9.5 (no changes)

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 26 Jan 2014 11:22:03 +1100

pexpect (3.0-2) unstable; urgency=low

  * Team upload.
  * debian/copyright: Update to reflect upstreams change
    from Expat to ISC (Closes: #731945). 

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 12 Dec 2013 16:53:35 -0500

pexpect (3.0-1) unstable; urgency=low

  * Team upload.

  [ Thomas Kluyver ]
  * New upstream release. Closes: #729518
  * Add packaging for Python 3.
  * Use pybuild for packaging.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jackson Doak ]
  * Create debian/python3-pexpect.docs

  [ Andrew Starr-Bochicchio ]
  * Remove empty debian/patches dir.
  * Move documentation and examples into a new python-pexpect-doc
    package. They are shared between the Python 2 and Python 3 packages,
    so there is no need to install them with both.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 06 Dec 2013 20:20:26 -0500

=== debian/control ===
Source: pexpect
Section: python
Priority: optional
Build-Depends: python-all (>= 2.6.6-3~), python3-all, python-sphinx, debhelper (>= 7.0.50~)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ganesan Rajagopal <rganesan@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pexpect/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pexpect/trunk/
Homepage: http://www.noah.org/wiki/Pexpect
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-pexpect
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-pexpect-doc
Description: Python module for automating interactive applications
 Pexpect is a pure Python module for spawning child applications;
 controlling them; and responding to expected patterns in their
 output. Pexpect works like Don Libes' Expect. Pexpect allows your
 script to spawn a child application and control it as if a human were
 typing commands.

Package: python3-pexpect
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-pexpect-doc
Description: Python 3 module for automating interactive applications
 Pexpect is a pure Python 3 module for spawning child applications;
 controlling them; and responding to expected patterns in their
 output. Pexpect works like Don Libes' Expect. Pexpect allows your
 script to spawn a child application and control it as if a human were
 typing commands.

Package: python-pexpect-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: python-pexpect (<< 3)
Replaces: python-pexpect (<< 3)
Description: Python module for automating interactive applications (documentation)
 Pexpect is a pure Python module for spawning child applications;
 controlling them; and responding to expected patterns in their
 output. Pexpect works like Don Libes' Expect. Pexpect allows your
 script to spawn a child application and control it as if a human were
 typing commands.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
PYTHON2_VERSIONS=$(shell pyversions -vr)
PYTHON3_VERSIONS=$(shell py3versions -vr)
PYTHON_VERSIONS=${PYTHON2_VERSIONS} ${PYTHON3_VERSIONS}

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/_build
	rm -rf .coverage
	rm -rf tests/log

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	PYTHON=python$* sh debian/run_tests.sh

override_dh_auto_test: $(foreach pyversion,${PYTHON_VERSIONS},$(pyversion:%=test-python%))
endif

override_dh_installdocs:
	PYTHONPATH=`pwd` make -C doc html
	dh_installdocs -ppython-pexpect-doc doc/_build/html
	dh_installdocs -A

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/pexpect/pexpect-(.*).tar.gz

## pexpect 3.2

=== debian/changelog ===
pexpect (3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control: Add explicit dh-python Build-Depends.  (Closes: 744300)

 -- Barry Warsaw <barry@debian.org>  Thu, 08 May 2014 16:05:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: pexpect
 Section: python
 Priority: optional
-Build-Depends: python-all (>= 2.6.6-3~), python3-all, python-sphinx, debhelper (>= 7.0.50~)
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ganesan Rajagopal <rganesan@debian.org>
+Build-Depends: dh-python, python-all (>= 2.6.6-3~), python3-all, python-sphinx, debhelper (>= 7.0.50~)
+Maintainer: Ganesan Rajagopal <rganesan@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pexpect/trunk/

## pexpect 4.0.1

=== debian/changelog ===
pexpect (4.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #744844)
  * Bump standards-version to 3.9.6 (no change needed)
  * Fix PyPI URL in debian/watch.  Thanks Lintian
  * Build-depend on python-ptyprocess to generate the documentation
    properly
  * Depend on ptyprocess

 -- Javi Merino <vicho@debian.org>  Sun, 01 Nov 2015 22:39:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: pexpect
 Section: python
 Priority: optional
-Build-Depends: dh-python, python-all (>= 2.6.6-3~), python3-all, python-sphinx, debhelper (>= 7.0.50~)
+Build-Depends: dh-python, python-all (>= 2.6.6-3~), python3-all, python-sphinx, debhelper (>= 7.0.50~), python-ptyprocess, python3-ptyprocess, python-pytest, python3-pytest
 Maintainer: Ganesan Rajagopal <rganesan@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pexpect/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pexpect/trunk/
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/pexpect.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pexpect.git
 Homepage: http://www.noah.org/wiki/Pexpect
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-pexpect
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: python-ptyprocess, ${misc:Depends}, ${python:Depends}
 Suggests: python-pexpect-doc
 Description: Python module for automating interactive applications
  Pexpect is a pure Python module for spawning child applications;
@@ -24,7 +24,7 @@
 
 Package: python3-pexpect
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-ptyprocess, ${misc:Depends}, ${python3:Depends}
 Suggests: python-pexpect-doc
 Description: Python 3 module for automating interactive applications
  Pexpect is a pure Python 3 module for spawning child applications;

=== debian/rules ===
#!/usr/bin/make -f
PYTHON2_VERSIONS=$(shell pyversions -vr)
PYTHON3_VERSIONS=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/_build
	rm -rf .coverage
	rm -rf tests/log

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# Testsuite disabled because it timeouts
test-python2-%:
	#PYTHON=python$* py.test

test-python3-%:
	#PYTHON=python$* py.test-3

override_dh_auto_test: $(foreach pyversion,${PYTHON2_VERSIONS},$(pyversion:%=test-python2-%)) $(foreach pyversion,${PYTHON3_VERSIONS},$(pyversion:%=test-python3-%))
endif

override_dh_installdocs:
	PYTHONPATH=`pwd` make -C doc html
	dh_installdocs -ppython-pexpect-doc doc/_build/html
	dh_installdocs -A

override_dh_install:
	dh_install
	# async.py is python3 only and can't be compiled for python2
	# https://github.com/pexpect/pexpect/issues/290
	rm $(CURDIR)/debian/python-pexpect/usr/lib/python2.7/dist-packages/pexpect/async.py

## pexpect 4.2.0

=== debian/changelog ===
pexpect (4.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Tobias Hansen ]
  * New upstream release (Closes: #832772)
  * Put Debian Python Modules Team into Maintainer field, the
    package is maintained by different team members since 8 years.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.8.
  * Bump dh compat to 9.
  * Install without *.install files.
  * Set http_proxy='127.0.0.1:9' for sphinx-build to prevent
    internet access (Closes: #833860)

 -- Tobias Hansen <thansen@debian.org>  Fri, 12 Aug 2016 13:44:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pexpect
 Section: python
 Priority: optional
-Build-Depends: dh-python, python-all (>= 2.6.6-3~), python3-all, python-sphinx, debhelper (>= 7.0.50~), python-ptyprocess, python3-ptyprocess, python-pytest, python3-pytest
-Maintainer: Ganesan Rajagopal <rganesan@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pexpect.git
+Build-Depends: dh-python, python-all (>= 2.6.6-3~), python3-all, python-sphinx, debhelper (>= 9), python-ptyprocess, python3-ptyprocess, python-pytest, python3-pytest
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Ganesan Rajagopal <rganesan@debian.org>,
+           Tobias Hansen <thansen@debian.org>
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pexpect.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pexpect.git
 Homepage: http://www.noah.org/wiki/Pexpect
 X-Python-Version: >= 2.6

## pexpect 4.2.1

=== debian/changelog ===
pexpect (4.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Removed Ganesan Rajagopal from Uploaders (Closes: #839665)
  * Bumped debhelper compat version to 10
  * Removed privacy breach in docs
  * d/copyright
    - Added copyright holders for Debian part
    - Added new upstream copyright holder
  * wrap-and-sort -t -a
  * Removed version from pre-wheezy dependency
  * Enabled autopkgtest-pkg-python testsuite
  * Bumped required version of Python to 2.7/3.3

 -- Ondřej Nový <onovy@debian.org>  Mon, 12 Dec 2016 15:59:09 +0100

=== debian/control ===
Source: pexpect
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-ptyprocess,
               python-pytest,
               python-sphinx,
               python3-all,
               python3-ptyprocess,
               python3-pytest,
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pexpect.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pexpect.git
Homepage: http://www.noah.org/wiki/Pexpect
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Testsuite: autopkgtest-pkg-python

Package: python-pexpect
Architecture: all
Depends: python-ptyprocess,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-pexpect-doc,
Description: Python module for automating interactive applications
 Pexpect is a pure Python module for spawning child applications;
 controlling them; and responding to expected patterns in their
 output. Pexpect works like Don Libes' Expect. Pexpect allows your
 script to spawn a child application and control it as if a human were
 typing commands.

Package: python3-pexpect
Architecture: all
Depends: python3-ptyprocess,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-pexpect-doc,
Description: Python 3 module for automating interactive applications
 Pexpect is a pure Python 3 module for spawning child applications;
 controlling them; and responding to expected patterns in their
 output. Pexpect works like Don Libes' Expect. Pexpect allows your
 script to spawn a child application and control it as if a human were
 typing commands.

Package: python-pexpect-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-pexpect (<< 3),
Replaces: python-pexpect (<< 3),
Description: Python module for automating interactive applications (documentation)
 Pexpect is a pure Python module for spawning child applications;
 controlling them; and responding to expected patterns in their
 output. Pexpect works like Don Libes' Expect. Pexpect allows your
 script to spawn a child application and control it as if a human were
 typing commands.
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,15 @@
 #!/usr/bin/make -f
 PYTHON2_VERSIONS=$(shell pyversions -vr)
 PYTHON3_VERSIONS=$(shell py3versions -vr)
+export PYBUILD_NAME = pexpect
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf doc/_build
 	rm -rf .coverage
-	rm -rf tests/log
+#	rm -rf tests/log
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 # Testsuite disabled because it timeouts
@@ -22,9 +22,12 @@
 override_dh_auto_test: $(foreach pyversion,${PYTHON2_VERSIONS},$(pyversion:%=test-python2-%)) $(foreach pyversion,${PYTHON3_VERSIONS},$(pyversion:%=test-python3-%))
 endif
 
+override_dh_auto_build:
+	dh_auto_build
+	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html
+
 override_dh_installdocs:
-	PYTHONPATH=`pwd` make -C doc html
-	dh_installdocs -ppython-pexpect-doc doc/_build/html
+	dh_installdocs -ppython-pexpect-doc build/html
 	dh_installdocs -A
 
 override_dh_install:

=== debian/watch ===
# Copied from http://pypi.debian.net/pexpect/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pexpect/pexpect-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pexpect 4.6.0

=== debian/changelog ===
pexpect (4.6.0-4) unstable; urgency=medium

  [ Lukas Märdian ]
  * Switch to Sphinx logging API to fix ftbfs; Closes: #955082
    - Apply fix from unbundled upstream package "sphinxcontrib_github_alt":
      1f1036514578016297f5f77e706fc91b2401bcf3

 -- Tobias Hansen <thansen@debian.org>  Sun, 30 Aug 2020 11:42:49 +0200

pexpect (4.6.0-3) unstable; urgency=medium

  * Drop python2 support; Closes: #937275

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 09:52:58 -0400

pexpect (4.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix day-of-week for changelog entries 0.999-4, 0.999-3, 0.999-2.

  [ Sandro Tosi ]
  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 18:28:18 -0400

pexpect (4.6.0-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Diane Trout ]
  * New upstream release. (Closes: #890967)
    - Upstream renamed async to _async (Closes: #902646)
  * d/control: Update Standards-Version, no changes needed.
  * d/rules: remove _async.py for python2.7 (Thanks: Neil Williams)
  * d/control: Switch to python3-sphinx for documentation build

 -- Diane Trout <diane@ghic.org>  Sun, 01 Jul 2018 19:56:20 -0700

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,19 @@
 Source: pexpect
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-ptyprocess,
-               python-pytest,
-               python-sphinx,
+               python3-sphinx,
                python3-all,
                python3-ptyprocess,
                python3-pytest,
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>,
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pexpect.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pexpect.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/python-team/modules/pexpect.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pexpect
 Homepage: http://www.noah.org/wiki/Pexpect
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
 Testsuite: autopkgtest-pkg-python
-
-Package: python-pexpect
-Architecture: all
-Depends: python-ptyprocess,
-         ${misc:Depends},
-         ${python:Depends},
-Suggests: python-pexpect-doc,
-Description: Python module for automating interactive applications
- Pexpect is a pure Python module for spawning child applications;
- controlling them; and responding to expected patterns in their
- output. Pexpect works like Don Libes' Expect. Pexpect allows your
- script to spawn a child application and control it as if a human were
- typing commands.
 
 Package: python3-pexpect
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
PYTHON3_VERSIONS=$(shell py3versions -vr)
export PYBUILD_NAME = pexpect

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .coverage
#	rm -rf tests/log

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# Testsuite disabled because it timeouts
test-python3-%:
	#PYTHON=python$* py.test-3

override_dh_auto_test: $(foreach pyversion,${PYTHON3_VERSIONS},$(pyversion:%=test-python3-%))
endif

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/ build/html

override_dh_installdocs:
	dh_installdocs -ppython-pexpect-doc build/html
	dh_installdocs -A

## pexpect 4.8.0

=== debian/changelog ===
pexpect (4.8.0-2ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - d/test/control: Keep needs-root Restriction, to fix flaky tests:
      "test_run_event_as_function/_method"
  * Dropped Ubuntu changes:
    - d/test/control: python-is-python3 dependency, fixed in Debian
    - d/test/control & d/rules: manual skipping of flaky tests

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 09 Aug 2021 12:01:12 +0200

pexpect (4.8.0-2) unstable; urgency=medium

  * Skip several flaky tests, both for build and autopkgtest (Closes: #986727)
  * Fix broken URL in d/watch

 -- Gordon Ball <gordon@chronitis.net>  Fri, 16 Apr 2021 11:00:22 +0000

pexpect (4.8.0-1ubuntu1) hirsute; urgency=medium

  * d/tests/control: skip flaky autopkgtests, add needs-root and
    python-is-python3 dependency (Closes: #986727)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 13 Apr 2021 11:29:48 +0200

pexpect (4.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-pexpect-doc: Add Multi-Arch: foreign.

  [ Gordon Ball ]
  * Update homepage and watch URLs to use github, as now recommended by the
    previous homepage
  * New upstream version 4.8.0
  * Standards-Version 4.5.1, Debhelper compat 13, Rules-Requires-Root: no
  * Run the testsuite at build time, and as an autopkgtest

 -- Gordon Ball <gordon@chronitis.net>  Mon, 04 Jan 2021 19:51:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: pexpect
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-sphinx,
                python3-all,
                python3-ptyprocess,
-               python3-pytest,
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+               python3-pytest <!nocheck>,
+               openssl <!nocheck>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>,
-Standards-Version: 4.1.4
-Vcs-Git: https://salsa.debian.org/python-team/modules/pexpect.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pexpect
-Homepage: http://www.noah.org/wiki/Pexpect
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/pexpect.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pexpect
+Homepage: https://github.com/pexpect/pexpect
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-pexpect
 Architecture: all
@@ -33,8 +36,10 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using}
 Breaks: python-pexpect (<< 3),
 Replaces: python-pexpect (<< 3),
+Multi-Arch: foreign
 Description: Python module for automating interactive applications (documentation)
  Pexpect is a pure Python module for spawning child applications;
  controlling them; and responding to expected patterns in their

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = pexpect

# pxssh wants to bind a low-numbered port
# replwrap has issues when wrapping a readline-enabled command when
# bracketed-paste mode is enabled, which results in extra escape sequences
# pexpect isn't... expecting
# test_beforeacross_chunks seems to contain a race condition as to whether
# the captured output contains a newline or not, which it then asserts
# test_spawn_uses_env appears to rarely fail with no exit code (also a race?)
export PYBUILD_TEST_ARGS = -k 'not (pxssh or replwrap or test_before_across_chunks or test_spawn_uses_env)'

# this skips two further tests upstream knows to be flaky in their CI
export TRAVIS = 1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .coverage

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/ build/html

override_dh_installdocs:
	dh_installdocs -ppython-pexpect-doc build/html
	dh_installdocs -A

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-pytest, openssl
Restrictions: needs-root

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/pexpect/pexpect/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## pexpect 4.9

=== debian/changelog ===
pexpect (4.9-2) unstable; urgency=medium

  * Team upload

  [ Paul Mars ]
  * Rename TRAVIS env var to CI. This var was renamed upstream.

 -- Graham Inggs <ginggs@debian.org>  Thu, 15 Feb 2024 14:56:30 +0000

pexpect (4.9-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.9. (Closes: #379301, #751043)
  * Patch '0005' for pybuild errors in Python 3.12. (Closes: #1058450)
  * Removed old patches not suitable for new upstream version.
  * Updated d/tests to fit Python 3.12.
  * Added 2024 copyright for debian/*.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Mon, 29 Jan 2024 23:30:00 +0000

pexpect (4.8.0-4) unstable; urgency=medium

  * Team Upload.
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add patch to fix FTBFS with python3.11 (Closes: #1026500)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 23 Dec 2022 18:40:40 +0530

pexpect (4.8.0-3) unstable; urgency=medium

  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove constraints unnecessary since buster:
    + python-pexpect-doc: Drop versioned constraint on python-pexpect in
      Replaces.
    + python-pexpect-doc: Drop versioned constraint on python-pexpect in Breaks.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 17:32:53 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
                python3-ptyprocess,
                python3-pytest <!nocheck>,
                openssl <!nocheck>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/pexpect.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pexpect
 Homepage: https://github.com/pexpect/pexpect
@@ -37,8 +36,6 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Built-Using: ${sphinxdoc:Built-Using}
-Breaks: python-pexpect (<< 3),
-Replaces: python-pexpect (<< 3),
 Multi-Arch: foreign
 Description: Python module for automating interactive applications (documentation)
  Pexpect is a pure Python module for spawning child applications;

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,11 @@
 # test_beforeacross_chunks seems to contain a race condition as to whether
 # the captured output contains a newline or not, which it then asserts
 # test_spawn_uses_env appears to rarely fail with no exit code (also a race?)
-export PYBUILD_TEST_ARGS = -k 'not (pxssh or replwrap or test_before_across_chunks or test_spawn_uses_env)'
+# test_socket failed with permission error due to leftover instances of multiprocessing
+export PYBUILD_TEST_ARGS = -k 'not (pxssh or replwrap or test_before_across_chunks or test_spawn_uses_env or test_socket)'
 
 # this skips two further tests upstream knows to be flaky in their CI
-export TRAVIS = 1
+export CI = 1
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-all, python3-pytest, openssl
Restrictions: allow-stderr
